Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh.ftp.client
Interface SFTPFileAttributes

All Known Implementing Classes:
  SFTPFileAttributesImpl

    public interface SFTPFileAttributes

a wrapper for vender specific file attributes

Author:
  jfu

Field Summary
`static int` | `S_IFBLK` Permissions flag: Identifies the file as a block special file
`static int` | `S_IFCHR` Permissions flag: Identifies the file as a character device
`static int` | `S_IFDIR` Permissions flag: Identifies the file as a directory
`static int` | `S_IFIFO` Permissions flag: Identifies the file as a pipe
`static int` | `S_IFLNK` Permissions flag: Identifies the file as a symbolic link
`static int` | `S_IFMT` Permissions flag: Format mask constant can be used to mask off a file type from the mode
`static int` | `S_IFREG` Permissions flag: Identifies the file as a regular file
`static int` | `S_IFSOCK` Permissions flag: Identifies the file as a socket
`static int` | `S_IRGRP` Permissions flag: Permits a file's group to read the file
`static int` | `S_IROTH` Permissions flag: Permits others to read the file
`static int` | `S_IRUSR` Permissions flag: Permits the owner of a file to read the file
`static int` | `S_ISGID` Permissions flag: Bit to determine whether a file is executed as the group owner
`static int` | `S_ISUID` Permissions flag: Bit to determine whether a file is executed as the owner
`static int` | `S_IWGRP` Permissions flag: Permits a file's group to write to the file
`static int` | `S_IWOTH` Permissions flag: Permits others to write to the file
`static int` | `S_IWUSR` Permissions flag: Permits the owner of a file to write to the file
`static int` | `S_IXGRP` Permissions flag: Permits a file's group to execute the file or to search the file's directory
`static int` | `S_IXOTH` Permissions flag: Permits others to execute the file or to search the file's directory
`static int` | `S_IXUSR` Permissions flag: Permits the owner of a file to execute the file or to search the file's directory
`static int` | `SSH_FILEXFER_TYPE_DIRECTORY` entry type - keep them the same as the underlying vender lib for now
`static int` | `SSH_FILEXFER_TYPE_REGULAR`
`static int` | `SSH_FILEXFER_TYPE_SPECIAL`
`static int` | `SSH_FILEXFER_TYPE_SYMLINK`
`static int` | `SSH_FILEXFER_TYPE_UNKNOWN`

Method Summary
`long` | `getAccessedTime()` Get the last accessed time.
`long` | `getCreationTime()` Get the creation time of this file.
`java.lang.String` | `getGID()` Get the GID of this file.
`java.lang.String` | `getMaskString()` Return the UNIX style mode mask
`long` | `getModifiedTime()` Get the last modified time.
`int` | `getPermissions()` Get the current permissions value.
`java.lang.String` | `getPermissionsString()` Returns a formatted permissions string.
`long` | `getSize()` Get the size of the file.
`int` | `getType()` the type of the entry: public static final int SSH_FILEXFER_TYPE_DIRECTORY=2; public static final int SSH_FILEXFER_TYPE_REGULAR=1; public static final int SSH_FILEXFER_TYPE_SPECIAL=4; public static final int SSH_FILEXFER_TYPE_SYMLINK=3; public static final int SSH_FILEXFER_TYPE_UNKNOWN=5;
`java.lang.String` | `getUID()` Get the UID of the owner.
`boolean` | `isBlock()` Determine whether these attributes refer to a block special file.
`boolean` | `isCharacter()` Determine whether these attributes refer to a character device.
`boolean` | `isDirectory()` Determine whether these attributes refer to a directory
`boolean` | `isFifo()` Determine whether these attributes refer to a pipe.
`boolean` | `isFile()` Determine whether these attributes refer to a file.
`boolean` | `isFlagSet(int flag)` Determine if a permissions flag is set.
`boolean` | `isLink()` Determine whether these attributes refer to a symbolic link.
`boolean` | `isSocket()` Determine whether these attributes refer to a socket.

Field Detail

### S_IFBLK

    static final int S_IFBLK

  Permissions flag: Identifies the file as a block special file

  See Also:
    Constant Field Values

### S_IFCHR

    static final int S_IFCHR

  Permissions flag: Identifies the file as a character device

  See Also:
    Constant Field Values

### S_IFDIR

    static final int S_IFDIR

  Permissions flag: Identifies the file as a directory

  See Also:
    Constant Field Values

### S_IFIFO

    static final int S_IFIFO

  Permissions flag: Identifies the file as a pipe

  See Also:
    Constant Field Values

### S_IFLNK

    static final int S_IFLNK

  Permissions flag: Identifies the file as a symbolic link

  See Also:
    Constant Field Values

### S_IFMT

    static final int S_IFMT

  Permissions flag: Format mask constant can be used to mask off a file type from the mode

  See Also:
    Constant Field Values

### S_IFREG

    static final int S_IFREG

  Permissions flag: Identifies the file as a regular file

  See Also:
    Constant Field Values

### S_IFSOCK

    static final int S_IFSOCK

  Permissions flag: Identifies the file as a socket

  See Also:
    Constant Field Values

### S_IRGRP

    static final int S_IRGRP

  Permissions flag: Permits a file's group to read the file

  See Also:
    Constant Field Values

### S_IROTH

    static final int S_IROTH

  Permissions flag: Permits others to read the file

  See Also:
    Constant Field Values

### S_IRUSR

    static final int S_IRUSR

  Permissions flag: Permits the owner of a file to read the file

  See Also:
    Constant Field Values

### S_ISGID

    static final int S_ISGID

  Permissions flag: Bit to determine whether a file is executed as the group owner

  See Also:
    Constant Field Values

### S_ISUID

    static final int S_ISUID

  Permissions flag: Bit to determine whether a file is executed as the owner

  See Also:
    Constant Field Values

### S_IWGRP

    static final int S_IWGRP

  Permissions flag: Permits a file's group to write to the file

  See Also:
    Constant Field Values

### S_IWOTH

    static final int S_IWOTH

  Permissions flag: Permits others to write to the file

  See Also:
    Constant Field Values

### S_IWUSR

    static final int S_IWUSR

  Permissions flag: Permits the owner of a file to write to the file

  See Also:
    Constant Field Values

### S_IXGRP

    static final int S_IXGRP

  Permissions flag: Permits a file's group to execute the file or to search the file's directory

  See Also:
    Constant Field Values

### S_IXOTH

    static final int S_IXOTH

  Permissions flag: Permits others to execute the file or to search the file's directory

  See Also:
    Constant Field Values

### S_IXUSR

    static final int S_IXUSR

  Permissions flag: Permits the owner of a file to execute the file or to search the file's directory

  See Also:
    Constant Field Values

### SSH_FILEXFER_TYPE_DIRECTORY

    static final int SSH_FILEXFER_TYPE_DIRECTORY

  entry type - keep them the same as the underlying vender lib for now

  See Also:
    Constant Field Values

### SSH_FILEXFER_TYPE_REGULAR

    static final int SSH_FILEXFER_TYPE_REGULAR

See Also:
  Constant Field Values

### SSH_FILEXFER_TYPE_SPECIAL

    static final int SSH_FILEXFER_TYPE_SPECIAL

See Also:
  Constant Field Values

### SSH_FILEXFER_TYPE_SYMLINK

    static final int SSH_FILEXFER_TYPE_SYMLINK

See Also:
  Constant Field Values

### SSH_FILEXFER_TYPE_UNKNOWN

    static final int SSH_FILEXFER_TYPE_UNKNOWN

See Also:
  Constant Field Values

Method Detail

### getAccessedTime

    long getAccessedTime()

  Get the last accessed time.

### getCreationTime

    long getCreationTime()

  Get the creation time of this file.

### getGID

    java.lang.String getGID()

  Get the GID of this file.

### getMaskString

    java.lang.String getMaskString()

  Return the UNIX style mode mask

### getModifiedTime

    long getModifiedTime()

  Get the last modified time.

### getPermissions

    int getPermissions()

  Get the current permissions value.

### getPermissionsString

    java.lang.String getPermissionsString()

  Returns a formatted permissions string.

### getSize

    long getSize()

  Get the size of the file.

### getType

    int getType()

  the type of the entry: public static final int SSH_FILEXFER_TYPE_DIRECTORY=2; public static final int SSH_FILEXFER_TYPE_REGULAR=1; public static final int SSH_FILEXFER_TYPE_SPECIAL=4; public static final int SSH_FILEXFER_TYPE_SYMLINK=3; public static final int SSH_FILEXFER_TYPE_UNKNOWN=5;

### getUID

    java.lang.String getUID()

  Get the UID of the owner.

### isBlock

    boolean isBlock()

  Determine whether these attributes refer to a block special file.

### isCharacter

    boolean isCharacter()

  Determine whether these attributes refer to a character device.

### isDirectory

    boolean isDirectory()

  Determine whether these attributes refer to a directory

### isFifo

    boolean isFifo()

  Determine whether these attributes refer to a pipe.

### isFile

    boolean isFile()

  Determine whether these attributes refer to a file.

### isFlagSet

    boolean isFlagSet(int flag)

  Determine if a permissions flag is set.

### isLink

    boolean isLink()

  Determine whether these attributes refer to a symbolic link.

### isSocket

    boolean isSocket()

  Determine whether these attributes refer to a socket.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD